import { onToggledFeature } from '../../app/license/server/license';
import { addSettings } from '../settings/deviceManagement';

let stopListening: (() => void) | undefined;
onToggledFeature('device-management', {
	up: async () => {
		const { createPermissions, createEmailTemplates } = await import('../lib/deviceManagement/startup');
		const { listenSessionLogin } = await import('../lib/deviceManagement/session');

		addSettings();
		await createPermissions();
		await createEmailTemplates();
		stopListening = await listenSessionLogin();
	},
	down: async () => {
		stopListening?.();
		stopListening = undefined;
	},
});
